{% extends "base.html" %}

{% block title %}Provider List{% endblock title %}

{% block page_content %}


<!-- Dropdown Card Example -->
<div class="card shadow mb-4">
  <!-- Card Header - Dropdown -->
  <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
    <h6 class="m-0 font-weight-bold text-primary">Articulo</h6>
    <div class="dropdown no-arrow">
      <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
        <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
      </a>
      <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
        <div class="dropdown-header">Actions:</div>
        <a class="dropdown-item" href="{% url 'articulos:new_articulo' %}"><i class="far fa-calendar-plus"></i>NewArticle</a>
        <a class="dropdown-item" href=""></a>
        <div class="dropdown-divider"></div>
        <a class="dropdown-item" href="#">Something else here</a>
      </div>
    </div>
  </div>
  <!-- Card Body -->
  <div class="card-body">
    {% if not obj %}
      <h3> Not Articles Yet!! </h3>
    {% else %}
      <table class="table table-striped table-hover">
        <thead>
          <th> Id </th>
          <th> Description </th>
          <th> Obra </th>
          <th> Artista </th>
          <th> Status </th>
          <th> TimeStamp </th>
          <th> Update </th>
          <th class="all"> Actions </th>
        </thead>
        <tbody>
          {% for item in obj %}
             <tr>
               <th>{{ item.id }}</th>
               <th>{{ item.description }}</th>
               <th>{{ item.obra }}</th>
               <th>{{ item.artista }}</th>
               <th>{{ item.status|yesno:"Active, Inactive" }}</th>
               <th>{{ item.timestamp|date:"d/m/Y H:i:s" }}</th>
               <th>{{ item.update|date:"d/m/Y H:i:s" }}</th>
               <th>
                 <a href="{#% url 'inv:update_category' item.pk %#}" class="btn btn-warning btn-circle" role="button"><i class="far fa-edit"></i></a>
                 <a href="{#% url 'inv:delete_category' item.pk %#}" class="btn btn-danger btn-circle" role="button"><i class="far fa-trash-alt"></i></a>
               </th>
             </tr>
          {% endfor %}
        </tbody>
      </table>
    {% endif %}
  </div>
</div>



{% endblock page_content %}

{% block js_scripts %}
  <script type="text/javascript">
    // Call the DataTable JQuery plugin//
    $(document).ready(function(){
      $('.table').DataTable();
    });
  </script>>
{% endblock js_scripts %}
